Subject: bug#20906: 25.0.50;

From: Mike FABIAN <[email-masked]>
Date: Fri, 09 Oct 2015 17:34:01 +0200

Mike FABIAN <[email-masked]> さんはかきました:

> Eli Zaretskii <[email-masked]> さんはかきました:
>
>>> From: Andreas Schwab <[email-masked]>
>>> Cc: [email-masked],  [email-masked],  [email-masked]
>>> Date: Thu, 08 Oct 2015 17:33:55 +0200
>>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>> >> From: Andreas Schwab <[email-masked]>
>>> >> Cc: [email-masked],  [email-masked],  [email-masked]
>>> >> Date: Thu, 08 Oct 2015 17:08:20 +0200
>>> >> 
>>> >> > So I guess gui-backend-get-selection on x-win.el should loop over the
>>> >> > possible request types, like x-selection-value-internal did in Emacs
>>> >> > 24.5, is that right?
>>> >> 
>>> >> gui--selection-value-internal still does that.
>>> >
>>> > Right, so gui-get-primary-selection should call that instead of
>>> > calling gui-get-selection, I guess?
>>> 
>>> I suppose so, if it wants to be the successor of x-get-selection-value.
>>
>> Mike, can you try that?  Or do you want me to write a patch for you to
>> try?
>
> I can try to write such a patch tomorrow.

This patch according to Andreas’ suggestion does indeed seem to
fix it for me (pasting now always works, from firefox, gtk, xterm, ...):

>From 615bf7c7969e79cbdb5a3890ceaed94c84f2111c Mon Sep 17 00:00:00 2001
From: Mike FABIAN <[email-masked]>
Date: Thu, 8 Oct 2015 15:45:32 +0200
Subject: [PATCH 1/2] In gui-get-primary-selection use
 gui--selection-value-internal (Bug#20906)

* lisp/select.el (gui-get-primary-selection): In gui-get-primary-selection
use gui--selection-value-internal (Bug#20906)
---
 lisp/select.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/select.el b/lisp/select.el
index 74b48d1..2d2ac5f 100644
--- a/lisp/select.el
+++ b/lisp/select.el
@@ -235,7 +235,7 @@ x-get-clipboard
 
 (defun gui-get-primary-selection ()
   "Return the PRIMARY selection, or the best emulation thereof."
-  (or (gui-get-selection 'PRIMARY)
+  (or (gui--selection-value-internal 'PRIMARY)
       (and (fboundp 'w32-get-selection-value)
            (eq (framep (selected-frame)) 'w32)
            ;; MS-Windows emulates PRIMARY in x-get-selection, but only
-- 
2.4.3

-- 
Mike FABIAN <[email-masked]>
睡眠不足はいい仕事の敵だ。